#
# spec file for package ethtool (Version 3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ethtool
License:        GPL v2 or later
Group:          Productivity/Networking/Diagnostic
AutoReqProv:    on
Summary:        Examine and Tune Ethernet-Based Network Interfaces
Version:        3
Release:        15.18.21
Url:            http://sourceforge.net/projects/gkernel
Source:         %{name}-%{version}.tar.bz2
Patch1:         %{name}-%{version}.patch
Patch2:         ethtool-default_advertising.patch
#added 10Gbe speed support bnc#557025 
Patch3:         ethtool-10Gbe.patch
Patch4:         ethtool-report_10000baseT.patch
Patch5:         ethtool-long-if-names.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Ethtool is a small utility for examining and tuning ethernet-based
network interfaces.  See the man page for more details.



Authors:
--------
    David Miller <davem@redhat.com>
    Jakub Jelinek <jj@ultra.linux.cz>
    Jeff Garzik <jgarzik@mandrakesoft.com>
    Tim Hockin <thockin@sun.com>

%prep
%setup -q
%patch1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{suse_update_config -f}
autoreconf --force --install
%define warn_flags -W -Wall -Wstrict-prototypes -Wformat-security -Wpointer-arith
CFLAGS="$RPM_OPT_FLAGS %{warn_flags}" ./configure \
            --prefix=/usr \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/ethtool
%{_mandir}/man8/ethtool.8*
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog

%changelog
* Wed Oct 27 2010 puzel@novell.com
- ethtool-report_10000baseT.patch (bnc#623940)
* Wed May 26 2010 mseben@novell.com
- added check for too-long interface names bnc#597946
* Fri Jan  8 2010 mseben@novell.com
- added ethtool-10Gbe.patch for 10Gbe speed support bnc#557025
* Thu Oct 30 2008 hvogel@suse.de
- Change 'ethtool -s eth0 autoneg on' to pass in only the supported
  speeds to advertise if speed and duplex are not specified by the
  user. This makes more sense than the current behavior of
  advertising 10/100/ 1000, some of which may not be supported by
  the device. [bnc#388334]
* Fri Feb  1 2008 mskibbe@suse.de
- bnc#298956 - ethtool reports s2io speed as unknown
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 29 2005 hvogel@suse.de
- update to version 3
* Mon Aug 23 2004 mmj@suse.de
- Update to ethtool-2 which includes all our patches
* Thu Jun 24 2004 meissner@suse.de
- Added pcnet32 register dumping LTC#9592/SUSE#42408.
* Mon May 24 2004 meissner@suse.de
- return error value from test option LTC#7166/SUSE#40960.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Tue Aug 26 2003 pthomas@suse.de
- Upgraded to 1.8
* Tue Aug 26 2003 pthomas@suse.de
- Remove the bogus rejection of devices whose names that do not begin
  with either 'eth' or 'usb'.
* Mon Jun  2 2003 pthomas@suse.de
- Add support for AMD-8111.
* Fri Feb  7 2003 meissner@suse.de
- Upgraded to current CVS, which has some e1000 fixes needed by IBM.
* Thu Feb  6 2003 meissner@suse.de
- Upgraded to 1.7:
* Mon Jun 24 2002 pthomas@suse.de
- Initial package creation.
- Fix most gcc warnings.
